org.modeshape.jdbc.metadata

## Interface JDBCColumnNames

-     public interface JDBCColumnNames

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JDBCColumnNames.CATALOGS` This class contains constants representing column names on ResultSet returned by getCatalogs method on DatabaseMetaData.
    `static interface` | `JDBCColumnNames.COLUMNS` This class contains constants representing column names on ResultSet returned by getColumns method on DatabaseMetaData.
    `static interface` | `JDBCColumnNames.INDEX_INFO` This class contains constants representing column names on ResultSet returned by getIndexInfo method on DatabaseMetaData.
    `static interface` | `JDBCColumnNames.PRIMARY_KEYS` This class contains constants representing column names on ResultSet returned by getPrimaryKeys method on DatabaseMetaData.
    `static interface` | `JDBCColumnNames.PROCEDURES` This class contains constants representing column names on ResultSet returned by getProcedures on DatabaseMetaData.
    `static interface` | `JDBCColumnNames.REFERENCE_KEYS` This class contains constants representing column names on ResultSet returned by getCrossReference, getExportedKeys, and getImportedKeys methods on DatabaseMetaData.
    `static interface` | `JDBCColumnNames.REFERENCE_KEYS_INFO` This class contains constants representing column names on ResultSet returned by getImportedKeys method on DatabaseMetaData.
    `static interface` | `JDBCColumnNames.SCHEMAS` This class contains constants representing column names on ResultSet returned by getSchemas method on DatabaseMetaData.
    `static interface` | `JDBCColumnNames.TABLE_TYPES` This class contains constants representing column names on ResultSet returned by getTables and getTableTypes methods on DatabaseMetaData.
    `static interface` | `JDBCColumnNames.TABLES` This class contains constants representing column names on ResultSet returned by getTables and getTableTypes methods on DatabaseMetaData.
    `static interface` | `JDBCColumnNames.TYPE_INFO` This class contains constants representing column names on ResultSet returned by getTypeInfo method on DatabaseMetaData.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.